Pular para o conteúdo principal
GET
/
billing
/
balance
/api/v1/billing/balance
curl --request GET \
  --url https://api.venice.ai/api/v1/billing/balance \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.venice.ai/api/v1/billing/balance"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.venice.ai/api/v1/billing/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "canConsume": true,
  "consumptionCurrency": "DIEM",
  "balances": {
    "diem": 90.5,
    "usd": 25
  },
  "diemEpochAllocation": 100
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Resposta

Successful response

Current balance information for the authenticated user

canConsume
boolean
obrigatório

Whether the user has sufficient balance to make API requests

Exemplo:

true

consumptionCurrency
enum<string> | null
obrigatório

The currency that will be used for consumption (DIEM or USD)

Opções disponíveis:
USD,
VCU,
DIEM,
BUNDLED_CREDITS
Exemplo:

"DIEM"

balances
object
obrigatório
diemEpochAllocation
number
obrigatório

Total DIEM allocation for the current epoch (from staking). Use with balances.diem to calculate usage percentage.

Exemplo:

100